﻿using Mapster;
using SnapshotWinFormsApp.Application.Dtos;
using SnapshotWinFormsApp.Entities.NewHotline;
using SnapshotWinFormsApp.Entities.OldHotline;

namespace SnapshotWinFormsApp.Tools;

public static class MapsterConfig
{
    public static void RegisterMappings()
    {
        TypeAdapterConfig<WeChatUserDto, SnapshotUserInfo>.NewConfig()
            .Map(m => m.CreationTime, n => n.WUR_RegDate)
            .Map(m => m.PhoneNumber, n => n.WUR_PhoneNum)
            .Map(m => m.Name, n => n.WUR_WebUserName);

        TypeAdapterConfig<WeChatUserDto, ThirdAccount>.NewConfig()
            .Map(m => m.PhoneNumber, n => n.WUR_PhoneNum)
            .Map(m => m.UserName, n => n.WUR_WebUserName)
            .Map(m => m.CreationTime, n => n.WUR_RegDate)
            .Map(m => m.OpenId, n => n.WUR_Openid)
            .Map(m => m.UnIonId, n => n.WUR_unionid);
    }
}
